Aml.Editor.Plugin.ClassOfListsFromReferencefile Class Reference

## Public Member Functions

| ClassOfListsFromReferencefile ()
| ClassOfListsFromReferencefile (string name, string value, string _default, string unit, string reference, string description, string copyRight, string semantic, string attributePath, string refBaseClassPath, string id, string referencedClassName, CAEXSequence< RefSemanticType > refSemanticList, string supportesRoleClassType, string dataType)
override string | ToString ()

## Properties

string | Name `[get, set]`
string | Value `[get, set]`
string | Default `[get, set]`
string | Unit `[get, set]`
string | Semantic `[get, set]`
string | Reference `[get, set]`
string | Description `[get, set]`
string | CopyRight `[get, set]`
string | AttributePath `[get, set]`
string | RefBaseClassPath `[get, set]`
string | ID `[get, set]`
string | ReferencedClassName `[get, set]`
CAEXSequence< RefSemanticType > | RefSemanticList `[get, set]`
string | SupportesRoleClassType `[get, set]`
string | DataType `[get, set]`

## Constructor & Destructor Documentation

## ClassOfListsFromReferencefile() [1/2]

Aml.Editor.Plugin.ClassOfListsFromReferencefile.ClassOfListsFromReferencefile | ( |  | ) |

inline

## ClassOfListsFromReferencefile() [2/2]

Aml.Editor.Plugin.ClassOfListsFromReferencefile.ClassOfListsFromReferencefile | ( | string | name,
|  | string | value,
|  | string | _default,
|  | string | unit,
|  | string | reference,
|  | string | description,
|  | string | copyRight,
|  | string | semantic,
|  | string | attributePath,
|  | string | refBaseClassPath,
|  | string | id,
|  | string | referencedClassName,
|  | CAEXSequence< RefSemanticType > | refSemanticList,
|  | string | supportesRoleClassType,
|  | string | dataType
| ) |  |

inline

## Member Function Documentation

## ToString()

override string Aml.Editor.Plugin.ClassOfListsFromReferencefile.ToString | ( |  | ) |

inline

## Property Documentation

## AttributePath

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.AttributePath

getset

## CopyRight

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.CopyRight

getset

## DataType

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.DataType

getset

## Default

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.Default

getset

## Description

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.Description

getset

## ID

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.ID

getset

## Name

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.Name

getset

## RefBaseClassPath

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.RefBaseClassPath

getset

## Reference

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.Reference

getset

## ReferencedClassName

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.ReferencedClassName

getset

## RefSemanticList

CAEXSequence<RefSemanticType> Aml.Editor.Plugin.ClassOfListsFromReferencefile.RefSemanticList

getset

## Semantic

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.Semantic

getset

## SupportesRoleClassType

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.SupportesRoleClassType

getset

## Unit

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.Unit

getset

## Value

string Aml.Editor.Plugin.ClassOfListsFromReferencefile.Value

getset

The documentation for this class was generated from the following file:

- ClassOfListsFromReferencefile.cs